<?php
/**
 *
 * @author：llbjj
 * @DateTime：2024/5/28 23:11
 * @Description：
 *
 */

namespace Application\Listeners;

use Application\Common\Container;
use Laminas\EventManager\EventManagerInterface;
use Psr\Container\ContainerInterface;

class BaseListener extends \Laminas\EventManager\AbstractListenerAggregate
{
    private ContainerInterface $container;
    public function __construct(Containerinterface $container)
    {
        $this->container = $container;
    }

    public function LocalService(): Container
    {
        return new Container($this->container);
    }

    public function attach(EventManagerInterface $events, $priority = 1)
    {
        // TODO: Implement attach() method.
    }
}